package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingItempoolRemoveitemRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaWdkMarketingItempoolRemoveitemItemPoolSku `json:"param0" required:"true" `
	/*
	   活动基本信息     */
	Param1 *domain.AlibabaWdkMarketingItempoolRemoveitemCommonActivityParam `json:"param1" required:"true" `
}

func (s *AlibabaWdkMarketingItempoolRemoveitemRequest) SetParam0(v domain.AlibabaWdkMarketingItempoolRemoveitemItemPoolSku) *AlibabaWdkMarketingItempoolRemoveitemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaWdkMarketingItempoolRemoveitemRequest) SetParam1(v domain.AlibabaWdkMarketingItempoolRemoveitemCommonActivityParam) *AlibabaWdkMarketingItempoolRemoveitemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaWdkMarketingItempoolRemoveitemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingItempoolRemoveitemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
